
From: Dave Hansen <haveblue@us.ibm.com>

__pa() should take a void*.  This adds the proper cast.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/early_printk.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/early_printk.c~cast-page_offset-math-to-void-in-early-printk arch/x86_64/kernel/early_printk.c
--- 25/arch/x86_64/kernel/early_printk.c~cast-page_offset-math-to-void-in-early-printk	2004-08-23 23:07:15.427700776 -0700
+++ 25-akpm/arch/x86_64/kernel/early_printk.c	2004-08-23 23:07:15.431700168 -0700
@@ -8,7 +8,7 @@
 /* Simple VGA output */
 
 #ifdef __i386__
-#define VGABASE		__pa(__PAGE_OFFSET + 0xb8000UL)
+#define VGABASE		__pa((void *)(__PAGE_OFFSET + 0xb8000UL))
 #else
 #define VGABASE		0xffffffff800b8000UL
 #endif
_
